@echo off

:: Following environment variables are already set in the HEGTool.bat before opening GUI
:: set the MRTDATADIR environmental var to the HEG data directory.
:: set the MRTBINDIR environmental var to the HEG bin directory.
:: set the PGSHOME environmental var to the HEG TOOLKIT_MTD directory.
::         %1 is directory for input files
::         %2 is directory for output files
::         %3 is template parameter file
::         %4 is SWATH, GRID, rr MISRGRID
SET j=%1
SET templateparameterfile=%3
SET hegoutdir=%2
IF "%j%"=="" GOTO:EOF
cd %MRTBINDIR%

IF EXIST %templateparamterfile% ( REM Continue ) ELSE ( GOTO:EOF )

cd /D %j%

REM Loop to process all hdf files, and move all outputs to HEGOUT directory

for /f "tokens=1* delims=:" %%i in ('dir /b /a-d ') do (
REM         %%i% is file name only (no path )

cd /D %MRTBINDIR%

IF EXIST %%i%.prm (
del /Q %%i%.prm
)

copy %templateparameterfile% heg_template_unix.prm
rename heg_template_unix.prm %%i%.prm
BatchSubstitute.bat infile %j%\%%i %%i%.prm

REM Note that %%~ni is input file name without path and extension

BatchSubstitute.bat outfile %hegoutdir%\%%~ni_HEGOUT %%i%.prm

IF NOT EXIST %hegoutdir% mkdir %hegoutdir%
IF "%4"=="SWATH" ( %MRTBINDIR%\swtif.exe -P %%i%.prm )
IF "%4"=="GRID" ( %MRTBINDIR%\resample.exe -P %%i%.prm )
IF "%4"=="MISRGRID" ( %MRTBINDIR%\gdtif.exe -P %%i%.prm )

del %%i%.prm
@echo off
)


REM - slink
GOTO:EOF